var OW_ReCaptcha = function( $params )
{
    var self = this;

    //this.errors = [];
    this.captchaId = $params.captchaId;
    this.responderUrl = $params.responderUrl;
    this.userIp = $params.userIp;
    this.captcha = $( '#' + this.captchaId );
    this.form = $( this.captcha.parents('form').get(0) );
    this.theme = $params.theme
    this.language = $params.language

    this.init = function()
    {
        var $theme = "red";
        var $lang = "en";

        if ( self.theme )
        {
            $theme = self.theme;
        }

        if ( self.language )
        {
            $lang = self.language;
        }

        Recaptcha.create($params.publickey ,this.captchaId,
                    {
                      theme: $theme,
                      lang: $lang
                    }
                  );
    }

    this.validateCaptcha = function()
    {
        var result = {};

        $.ajax( {
                url: self.responderUrl,
                type: 'POST',
                data: {
                    "remoteip": self.userIp,
                    "challenge": Recaptcha.get_challenge(),
                    "response": Recaptcha.get_response()
                },
                dataType: 'json',
                async: false,
                success: function(data)
                {
                    result = data;
                }
            } );

        if( result.result == true )
        {
             return true;
        }
        else
        {
            Recaptcha.reload();
        }
        
        return false;
    }
}

